Echo off
rem #################################################################
rem #        UNIX Script File to exercise the channel encoder       #
rem #       		 test sequences       			#
rem #################################################################
rem #
rem # The encoded speech parameter input file "infobit.tco" has the following format:
rem #                 o G.723.1 Mode 0 frame (6.3 kbit/s)
rem #                 o G.723.1 Mode 1 frame (5.3 kbit/s)
rem #                 o G.723.1 Mode 2 frame (SID)
rem #                 o G.723.1 Mode 0 frame (6.3 kbit/s)
rem #		  ...
rem #
rem # Two channel codec bitrate configuration files are tested:
rem #		  o bitrate0.cfg
rem #		  o bitrate1.cfg
rem #
rem # The requested actual channel bitrates are stored in file "chanrate.req" and
rem # contain a channel bitrate for each G.723.1 frame. The step size of the 
rem # bitrate is 34 bps. This rate is mapped to the
rem # next lower allowed channel bitrate stored in the "bitrateX.cfg" file.
rem #
rem # In a second test the channel encoder is set to a special testing mode where
rem # the mapping of the requested channel bitrate to the allowed channel bitrate
rem # is switched off so that the module "ChannelCodecInit()" can be tested for each
rem # possible bitrate. Note that this is not an allowed operational mode.
rem ##################################################################################
rem #
Echo on
..\enc\chan_enc infobit.tco chanbit0.ttx bitrate0.cfg chanrate.req
..\enc\chan_enc infobit.tco chanbit1.ttx bitrate1.cfg chanrate.req
..\enc\chan_enc infobit.tco chanbit2.ttx bitrate0.cfg chanrate.req -TestSequence
Echo off
rem #
rem #
rem # Compare:
Echo on
fc /b chanbit0.ttx chanbit0.tx
fc /b chanbit1.ttx chanbit1.tx
fc /b chanbit2.ttx chanbit2.tx
